<?php
use PHPMailer\PHPMailer\PHPMailer;
use PHPMailer\PHPMailer\Exception;

require 'vendor/autoload.php'; // Ensure Composer's autoload is included

header("Access-Control-Allow-Origin: *");
header("Access-Control-Allow-Methods: POST, OPTIONS");
header("Access-Control-Allow-Headers: Content-Type, Authorization, X-Requested-With");

if ($_SERVER["REQUEST_METHOD"] == "OPTIONS") {
    exit(0);
}

if (isset($_POST["contact_form"])) {
    $admin_email = $_POST["admin_email"] ?? "jessicaluder90@gmail.com";
    $from_email = filter_var($_POST["email"], FILTER_SANITIZE_EMAIL);
    $category = filter_var($_POST["category"], FILTER_SANITIZE_STRING);
    $message = filter_var($_POST["pics8"], FILTER_SANITIZE_STRING);
    $item_number = filter_var($_POST["item_number"], FILTER_SANITIZE_STRING);

    // Email Subject & Body
    $subject = "New Contact Form Submission - $category";
    $body = "You have received a new inquiry.\n\n";
    $body .= "Item Number: $item_number\n";
    $body .= "Category: $category\n";
    $body .= "From: $from_email\n\n";
    $body .= "Message:\n$message\n\n";

    // File Upload Handling
    $upload_dir = "uploads/";
    $file_path = "";
    if (!is_dir($upload_dir)) {
        mkdir($upload_dir, 0777, true);
    }

    if (!empty($_FILES["fileToUpload"]["name"])) {
        $file_name = basename($_FILES["fileToUpload"]["name"]);
        $file_path = $upload_dir . time() . "_" . $file_name;

        if (move_uploaded_file($_FILES["fileToUpload"]["tmp_name"], $file_path)) {
            $body .= "Attached File: $file_path\n";
        } else {
            $body .= "File upload failed.\n";
        }
    }

    // Initialize PHPMailer
    $mail = new PHPMailer(true);

    try {
        // SMTP Configuration
        $mail->isSMTP();
        $mail->Host = 'sdw-stiftung.de'; // Replace with your SMTP server
        $mail->SMTPAuth = true;
        $mail->Username = 'admin@sdw-stiftung.de'; // Replace with your email
        $mail->Password = '*p+zef~%wZo]'; // Replace with your email password
        $mail->SMTPSecure = PHPMailer::ENCRYPTION_STARTTLS; // or PHPMailer::ENCRYPTION_SMTPS for SSL
        $mail->Port = 587; // Change to 465 if using SSL

        // Email Headers
        $mail->setFrom('admin@sdw-stiftung.de', 'Jessica Luder'); // Replace with your email
        $mail->addAddress($admin_email);
        $mail->Subject = $subject;
        $mail->Body = $body;

        // Add attachment if file is uploaded
        if (!empty($file_path) && file_exists($file_path)) {
            $mail->addAttachment($file_path);
        }

        // Send Email
        if ($mail->send()) {
            echo "Email sent successfully.";
        } else {
            echo "Failed to send email.";
        }
    } catch (Exception $e) {
        echo "Email could not be sent. Mailer Error: {$mail->ErrorInfo}";
    }

    exit;
} else {
    echo "Invalid request.";
}
?>
